PickRectanglePointsBuilder Class

class NXOpen.LineDesigner.PickRectanglePointsBuilder

Bases: NXOpen.TaggedObject, NXOpen.GeometricUtilities.IComponentBuilder

Pick Rectangle Points

To create a new instance of this class, use NXOpen.LineDesigner.LineDesignerManager.CreatePickRectanglePointsBuilder()

New in version NX9.0.0.

Properties

Property Description
AllowRotation Returns or sets the rotaion
PointsSelection Returns the pointsSelection
Tag Returns the Tag for this object.

Methods

Method Description
ResetData ResetData
ResetWidthHeight ResetWidthHeight
SetWidthHeight SetWidthHeight
UpdateRecAngle UpdateRecAngle
UpdateRecHeight UpdateRecHeight
UpdateRecWidth UpdateRecWidth
UpdateRectangle UpdateRectangle
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

AllowRotation

PickRectanglePointsBuilder.AllowRotation

Returns or sets the rotaion

-------------------------------------

Getter Method

Signature AllowRotation()

Returns:
Return type:bool

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

-------------------------------------

Setter Method

Signature AllowRotation(rotaion)

Parameters:rotaion (bool) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

PointsSelection

PickRectanglePointsBuilder.PointsSelection

Returns the pointsSelection

-------------------------------------

Getter Method

Signature PointsSelection()

Returns:
Return type:NXOpen.SelectPartList

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

Method Detail

ResetData

PickRectanglePointsBuilder.ResetData

Signature ResetData()

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

ResetWidthHeight

PickRectanglePointsBuilder.ResetWidthHeight

Signature ResetWidthHeight()

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

SetWidthHeight

PickRectanglePointsBuilder.SetWidthHeight

Signature SetWidthHeight(width, height)

Parameters:
  • width (float) –
  • height (float) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

UpdateRecAngle

PickRectanglePointsBuilder.UpdateRecAngle

Signature UpdateRecAngle(angle)

Parameters:angle (float) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

UpdateRecHeight

PickRectanglePointsBuilder.UpdateRecHeight

Signature UpdateRecHeight(height)

Parameters:height (float) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

UpdateRecWidth

PickRectanglePointsBuilder.UpdateRecWidth

Signature UpdateRecWidth(width)

Parameters:width (float) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

UpdateRectangle

PickRectanglePointsBuilder.UpdateRectangle

Signature UpdateRectangle()

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

Validate

PickRectanglePointsBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.